<!DOCTYPE html>
<html>
<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Page Title</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel='stylesheet' type='text/css' media='screen' href='main.css'>
</head>
<body>


    <div class="static"> 
        position: static;
        <br>
        top: 10px; 
        <br>
        left: 15%;
        <hr>
        Los elementos con position: static respetan la ubicación que se les da por default al renderizar la página. Notesé que estos elementos no son afectados por los valores de top, right, bottom o left.
    </div>

    <div class="relative-original-pos">Posicion original del elemento relative</div>
    
    <div class="relative">
        position: relative;
        <br>
        top: 35px; 
        <br>
        left: 30px;
        <hr>
        Los elementos con position: relative se posicionan según su posicion original, este elemento, por ejemplo se encuenta a <br> 35px de su borde superior original y a 30px de su borde izquierdo original.
    </div>
    
    
    <div class="fixed">
        position: fixed; 
        <br>
        bottom: 0px; 
        <hr>
        Se posicionan según los bordes del viewport, lo que quiere decir que se mantienen en la misma ubicación en la pantalla aunque se scrollee. Estos elementos están fuera de flujo al igual que pasa con position: absolute.
    </div>
    
    <div class="contenedor-de-sticky">
        <div class="sticky">
            position: sticky;
            <br>
            top: 0px;
            <hr>
            Los elementos con position: sticky se comporta de manera similar a fixed, pero este comportamiento se limita a su contenedor, lo que significa que si su contenedor sale completamente del viewport el elemento también lo hará, deben tener al menos una de las 4 propiedades (top, right, bottom y left) seteadas, para saber si siguen en la pantalla horizontal o verticalmente. No es necesario que su padre tenga ningún estilado en particular.
        </div>
    </div>
    
    <div class="absolute-original-pos">Posicion original del elemento absolute</div>
    
    <div class="absolute">
        position: absolute;
        <br>
        top: 550px;
        <br>
        right: 80px;
        <hr>
        Un elemento con position: absolute se posiciona relativo a su elemento padre (en este caso el body). Estos elementos no están dentro del flujo normal de la página aunque no se modifique su posición con top, right, bottom o left, por lo que no modifican el posicionamiento de los demás elementos.
    </div>
    
</body>
</html>